Unlock Booking
curl --request PUT \
--url https://api.sonderplan.com/v2/booking/unlock \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sonderplan.com/v2/booking/unlock"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sonderplan.com/v2/booking/unlock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": {
"id": 1
}
}{
"error": {
"code": "404",
"message": "Requested resource was not found"
}
}Booking
Unlock Booking
The Sonderplan user interface features a booking locking system that prevents accidental overwrites when multiple users are editing the same booking.
A booking lock is automatically created for a user that opens the booking editor sidebar, or clicks on Edit in the advanced booking editor. The lock is automatically deleted if the user saves and closes, or cancels the save operation.
Booking locks automatically created by Sonderplan will last for 10 minutes, unless extended by the user when a lock expiration warning is shown. It is possible to manually lock and unlock bookings with these API endpoints and set the lock time to a custom time as required.
WRITE access to the SCHEDULE module is required to access this endpointPUT
/
v2
/
booking
/
unlock
Unlock Booking
